curl --request POST \
--url https://api.getcargo.io/v1/ai/prompts/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"capabilities": [
{
"slug": "<string>"
}
]
}
'{
"prompt": "<string>"
}Evaluate an AI prompt
curl --request POST \
--url https://api.getcargo.io/v1/ai/prompts/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"capabilities": [
{
"slug": "<string>"
}
]
}
'{
"prompt": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Prompt to evaluate.
Actions available for evaluation.
Show child attributes
Resources available for evaluation.
Show child attributes
Capabilities available for evaluation.
Show child attributes
Successful response
Evaluated prompt.
Was this page helpful?